com.rscja.team.qcom.deviceapi

## Class UhfRadarLocation_qcom

- java.lang.Object
- - com.rscja.team.qcom.deviceapi.UhfRadarLocation_qcom

- All Implemented Interfaces:
    android.hardware.SensorEventListener

      public class UhfRadarLocation_qcom
      extends java.lang.Object
      implements android.hardware.SensorEventListener

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UhfRadarLocation_qcom(android.content.Context context, IUHF iuhf)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onAccuracyChanged(android.hardware.Sensor sensor, int accuracy)`
    `void` | `onSensorChanged(android.hardware.SensorEvent event)`
    `boolean` | `startLocation(java.lang.String label, int bank, int ptr, IUHFRadarLocationCallback locationCallback)`
    `boolean` | `stopLocation()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UhfRadarLocation_qcom

          public UhfRadarLocation_qcom(android.content.Context context,
                                       IUHF iuhf)

  - ### Method Detail

    - #### startLocation

          public boolean startLocation(java.lang.String label,
                                       int bank,
                                       int ptr,
                                       IUHFRadarLocationCallback locationCallback)

    - #### stopLocation

          public boolean stopLocation()

    - #### onSensorChanged

          public void onSensorChanged(android.hardware.SensorEvent event)

      Specified by:
        `onSensorChanged` in interface `android.hardware.SensorEventListener`

    - #### onAccuracyChanged

          public void onAccuracyChanged(android.hardware.Sensor sensor,
                                        int accuracy)

      Specified by:
        `onAccuracyChanged` in interface `android.hardware.SensorEventListener`